// DialogAdd.cpp : implementation file
//


#include "stdafx.h"
#include "OpenGL.h"
#include "DialogAdd.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DialogAdd dialog


DialogAdd::DialogAdd(CWnd* pParent /*=NULL*/)
	: CDialog(DialogAdd::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogAdd)
	Height = 0;
	Weight = 0;
	Long = 0;
	dx = 0;
	dy = 0;
	dz = 0;
	Figure = -1;
	//}}AFX_DATA_INIT
}


void DialogAdd::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogAdd)
	DDX_Control(pDX, IDC_SLIDER6, c_dz);
	DDX_Control(pDX, IDC_SLIDER5, c_dy);
	DDX_Control(pDX, IDC_SLIDER4, c_dx);
	DDX_Control(pDX, IDC_SLIDER3, c_vis);
	DDX_Control(pDX, IDC_SLIDER2, c_sh);
	DDX_Control(pDX, IDC_SLIDER1, c_dl);
	DDX_Slider(pDX, IDC_SLIDER3, Height);
	DDX_Slider(pDX, IDC_SLIDER2, Weight);
	DDX_Slider(pDX, IDC_SLIDER1, Long);
	DDX_Slider(pDX, IDC_SLIDER4, dx);
	DDX_Slider(pDX, IDC_SLIDER5, dy);
	DDX_Slider(pDX, IDC_SLIDER6, dz);
	DDX_CBIndex(pDX, IDC_COMBO1, Figure);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogAdd, CDialog)
	//{{AFX_MSG_MAP(DialogAdd)
	ON_WM_SHOWWINDOW()
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER1, OnLongSlider)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER2, OnWeightSlider2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER3, OnHeightSlider3)
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER4, OnDXSlider4)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER5, OnDYSlider5)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER6, OnDZSlider6)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DialogAdd message handlers


void DialogAdd::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	
	c_dl.SetRange(1,10,TRUE);	
    c_sh.SetRange(1,10,TRUE);
	c_vis.SetRange(1,10,TRUE);
    c_dx.SetRange(-10,10,TRUE);
	c_dy.SetRange(-10,10,TRUE);
	c_dz.SetRange(-10,10,TRUE);
}



void DialogAdd::OnSelchangeCombo1() 
{
CWnd* WndSlider[3];
CWnd* WndText[3];
WndSlider[0]=GetDlgItem(IDC_SLIDER1);
WndSlider[1]=GetDlgItem(IDC_SLIDER2);
WndSlider[2]=GetDlgItem(IDC_SLIDER3);
WndText[0]=GetDlgItem(IDC_STATIC1);
WndText[1]=GetDlgItem(IDC_STATIC2);
WndText[2]=GetDlgItem(IDC_STATIC3);
UpdateData();
//
if (Figure==0)
{
WndSlider[0]->ShowWindow(TRUE);
WndSlider[1]->ShowWindow(TRUE);
WndSlider[2]->ShowWindow(TRUE);
WndText[0]->ShowWindow(TRUE);
WndText[1]->ShowWindow(TRUE);
WndText[2]->ShowWindow(TRUE);
WndText[0]->SetWindowText("");
}
//
if (Figure==1)
{
WndSlider[0]->ShowWindow(TRUE);
WndSlider[1]->ShowWindow(FALSE);
WndSlider[2]->ShowWindow(FALSE);
WndText[0]->ShowWindow(TRUE);
WndText[1]->ShowWindow(FALSE);
WndText[2]->ShowWindow(FALSE);
WndText[0]->SetWindowText("");
}
UpdateData();
SoundWav("PIC");
}

void DialogAdd::OnOK() 
{
	SoundWav("CLOSE");
	CDialog::OnOK();
}
