// DialogFill.cpp : implementation file
//

#include "stdafx.h"
#include "OpenGL.h"
#include "DialogFill.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DialogFill dialog


DialogFill::DialogFill(CWnd* pParent /*=NULL*/)
	: CDialog(DialogFill::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogFill)
	FillObj = -1;
	Fill = 0;
	//}}AFX_DATA_INIT
}


void DialogFill::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogFill)
	DDX_Control(pDX, IDC_SLIDER1, c_fill);
	DDX_CBIndex(pDX, IDC_COMBO1, FillObj);
	DDX_Slider(pDX, IDC_SLIDER1, Fill);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogFill, CDialog)
	//{{AFX_MSG_MAP(DialogFill)
	ON_WM_SHOWWINDOW()
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER1, OnFillSlider1)
	ON_BN_CLICKED(IDC_Default3, OnDefault3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DialogFill message handlers

void DialogFill::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
    c_fill.SetRange(1,3,TRUE);	
}

void DialogFill::OnSelchangeCombo1() 
{
CWnd* WndSlider;
CWnd* WndButton;
CWnd* WndText[3];
WndSlider=GetDlgItem(IDC_SLIDER1);
WndButton=GetDlgItem(IDC_Default3);
WndText[0]=GetDlgItem(IDC_STATIC1);
WndText[1]=GetDlgItem(IDC_STATIC2);
WndText[2]=GetDlgItem(IDC_STATIC3);
WndSlider->ShowWindow(TRUE);
WndButton->ShowWindow(TRUE);
WndText[0]->ShowWindow(TRUE);
WndText[1]->ShowWindow(TRUE);
WndText[2]->ShowWindow(TRUE);
UpdateData();
switch(FillObj)
{
case 0:c_fill.SetPos(2);
	UpdateData();
	break;
case 1:c_fill.SetPos(2);
	UpdateData();
	break;
case 2:c_fill.SetPos(3);
	UpdateData();
	break;
}
SoundWav("PIC");
}

void DialogFill::OnOK() 
{
    SoundWav("CLOSE");	
	CDialog::OnOK();
}
